org.eclipse.net4j.tcp

## Interface ITCPPassiveSelectorListener

-     public interface ITCPPassiveSelectorListener

  Call-back that handles the possible calls from a `selector` to a passive consumer, usually an `acceptor`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleAccept(ITCPSelector selector, java.nio.channels.ServerSocketChannel serverSocketChannel)`
    `void` | `handleRegistration(ITCPSelector selector, java.nio.channels.ServerSocketChannel serverSocketChannel)`

- - ### Method Detail

    - #### handleRegistration

          void handleRegistration(ITCPSelector selector,
                                  java.nio.channels.ServerSocketChannel serverSocketChannel)

    - #### handleAccept

          void handleAccept(ITCPSelector selector,
                            java.nio.channels.ServerSocketChannel serverSocketChannel)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html